cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
560
Views
0
Helpful
1
Replies

CUCM 11.5 upgrade/JTAPI - doesnt work

shik9
Level 1
Level 1

We upgraded CUCM from 9.2 to 11.5. We have developed custom applications using JTAPI and AXL webservice to observe phones when down or unregistered.

It worked fine with 9.2, After the upgrade it wont work. It doesnt notify when phones are down. (Downloaded the new JTAPI.jar) 

 

Please Ignore the below image, it wont let me delete the image.

error when compilederror when compiled

1 Reply 1

dstaudt
Cisco Employee
Cisco Employee
Can you provide any info about errors/exceptions, or otherwise detail the nature of the problem? Is the issue in AXL or JTAPI?

If you've updated the JTAPI .jar to match, the design intent is that things should in general be backward compatible, but that's a very large jump in versions and there have been numerous changes - small and large - in AXL and JTAPI since 9.1.

If you need dedicated/SLA support (as this sounds like a 'down' situation) I would recommend opening a ticket with DevNet Developer Support for best results: https://developer.cisco.com/site/devnet/support/